# Copyright (C) 2002-2022 Free Software Foundation, Inc.
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file.  If not, see <https://www.gnu.org/licenses/>.
#
# As a special exception to the GNU General Public License,
# this file may be distributed as part of a program that
# contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the specification of how gnulib-tool is used.
# It acts as a cache: It is written and read by gnulib-tool.
# In projects that use version control, this file is meant to be put under
# version control, like the configure.ac and various Makefile.am files.


# Specification in the form of a command-line invocation:
# gnulib-tool --import --local-dir=gnulib-local \
#  --lib=libgnulib \
#  --source-base=gl/lib \
#  --m4-base=gl/m4 \
#  --doc-base=doc \
#  --tests-base=gnulib-tests \
#  --aux-dir=build-aux \
#  --with-tests \
#  --no-conditional-dependencies \
#  --no-libtool \
#  --macro-prefix=gl \
#  alloca \
#  areadlinkat \
#  argmatch \
#  argv-iter \
#  assert \
#  byteswap \
#  c-strcasestr \
#  c-strstr \
#  canonicalize \
#  cloexec \
#  closein \
#  closeout \
#  ctype \
#  d-ino \
#  d-type \
#  dirent-safer \
#  dirname \
#  dup2 \
#  errno \
#  error \
#  faccessat \
#  fchdir \
#  fcntl \
#  fcntl-safer \
#  fdopendir \
#  fflush \
#  fileblocks \
#  filemode \
#  fnmatch-gnu \
#  fopen-safer \
#  fts \
#  gcc-attributes \
#  gendocs \
#  getdelim \
#  getline \
#  getopt-gnu \
#  gettext-h \
#  gettimeofday \
#  git-version-gen \
#  gitlog-to-changelog \
#  gnupload \
#  gpl-3.0 \
#  hash \
#  human \
#  idcache \
#  inline \
#  intprops \
#  inttypes \
#  isblank \
#  locale \
#  lstat \
#  maintainer-makefile \
#  malloc-gnu \
#  manywarnings \
#  math \
#  mbrtowc \
#  mbscasestr \
#  mbsstr \
#  mbswidth \
#  mktime \
#  modechange \
#  modf \
#  mountlist \
#  nstrftime \
#  open \
#  openat-safer \
#  parse-datetime \
#  pathmax \
#  perror \
#  progname \
#  quotearg \
#  readlink \
#  realloc-gnu \
#  regex \
#  rpmatch \
#  safe-read \
#  same-inode \
#  save-cwd \
#  savedir \
#  selinux-at \
#  snprintf \
#  stat \
#  stat-macros \
#  stat-size \
#  stat-time \
#  stdarg \
#  stdbool \
#  stddef \
#  stdint \
#  stdio \
#  stdlib \
#  stpcpy \
#  strcasestr \
#  strdup-posix \
#  string \
#  strndup \
#  strtoull \
#  strtoumax \
#  sys_stat \
#  sys_time \
#  sys_wait \
#  timespec \
#  uname \
#  unistd-safer \
#  unlinkat \
#  update-copyright \
#  verify \
#  version-etc \
#  version-etc-fsf \
#  warnings \
#  wchar \
#  wcwidth \
#  xalloc \
#  xalloc-die \
#  xgetcwd \
#  xstrtod \
#  xstrtol \
#  xstrtol-error \
#  xstrtoumax \
#  year2038 \
#  yesno

# Specification in the form of a few gnulib-tool.m4 macro invocations:
gl_LOCAL_DIR([gnulib-local])
gl_MODULES([
  alloca
  areadlinkat
  argmatch
  argv-iter
  assert
  byteswap
  c-strcasestr
  c-strstr
  canonicalize
  cloexec
  closein
  closeout
  ctype
  d-ino
  d-type
  dirent-safer
  dirname
  dup2
  errno
  error
  faccessat
  fchdir
  fcntl
  fcntl-safer
  fdopendir
  fflush
  fileblocks
  filemode
  fnmatch-gnu
  fopen-safer
  fts
  gcc-attributes
  gendocs
  getdelim
  getline
  getopt-gnu
  gettext-h
  gettimeofday
  git-version-gen
  gitlog-to-changelog
  gnupload
  gpl-3.0
  hash
  human
  idcache
  inline
  intprops
  inttypes
  isblank
  locale
  lstat
  maintainer-makefile
  malloc-gnu
  manywarnings
  math
  mbrtowc
  mbscasestr
  mbsstr
  mbswidth
  mktime
  modechange
  modf
  mountlist
  nstrftime
  open
  openat-safer
  parse-datetime
  pathmax
  perror
  progname
  quotearg
  readlink
  realloc-gnu
  regex
  rpmatch
  safe-read
  same-inode
  save-cwd
  savedir
  selinux-at
  snprintf
  stat
  stat-macros
  stat-size
  stat-time
  stdarg
  stdbool
  stddef
  stdint
  stdio
  stdlib
  stpcpy
  strcasestr
  strdup-posix
  string
  strndup
  strtoull
  strtoumax
  sys_stat
  sys_time
  sys_wait
  timespec
  uname
  unistd-safer
  unlinkat
  update-copyright
  verify
  version-etc
  version-etc-fsf
  warnings
  wchar
  wcwidth
  xalloc
  xalloc-die
  xgetcwd
  xstrtod
  xstrtol
  xstrtol-error
  xstrtoumax
  year2038
  yesno
])
gl_AVOID([])
gl_SOURCE_BASE([gl/lib])
gl_M4_BASE([gl/m4])
gl_PO_BASE([])
gl_DOC_BASE([doc])
gl_TESTS_BASE([gnulib-tests])
gl_WITH_TESTS
gl_LIB([libgnulib])
gl_MAKEFILE_NAME([])
gl_MACRO_PREFIX([gl])
gl_PO_DOMAIN([])
gl_WITNESS_C_MACRO([])
